#include <ctype.h>
#include <stdatomic.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#define DEBUG

#ifdef DEBUG
#define debug_printf(...) do{ fprintf( stderr, __VA_ARGS__ ); } while( 0 )
#else
#define debug_printf(...) do{ } while ( 0 )
#endif

#define LINE_MAX 160

int main(int argc, char *argv[]){
  int linesProcessed = 0;
  char line[LINE_MAX];
  
  while (fgets(line, LINE_MAX, stdin) != NULL) {
    linesProcessed++;
  }
  printf("\n Ingested %d Lines\n", linesProcessed);
  printf("===================================\n");

  //insert processing code

  printf("\n Processed XXX\n");
  printf("===================================\n");


  printf("Answer: \nXXXX\n");
}